unit udemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, vrcal, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    VrCalendar1: TVrCalendar;
    StyleComboBox: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    UpDown1: TUpDown;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    ColorDialog: TColorDialog;
    FontDialog: TFontDialog;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Label8: TLabel;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure StyleComboBoxChange(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure VrCalendar1Change(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
    procedure Button13Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  StyleComboBox.ItemIndex := 1;
  VrCalendar1Change(self);
end;

procedure TForm1.StyleComboBoxChange(Sender: TObject);
begin
  VrCalendar1.Style := TVrCalendarStyle(StyleComboBox.ItemIndex);
end;

procedure TForm1.Edit1Change(Sender: TObject);
var
  N: Integer;
begin
  N := StrToInt(Edit1.Text);
  VrCalendar1.BorderWidth := N;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  VrCalendar1.PrevYear;
end;


procedure TForm1.Button2Click(Sender: TObject);
begin
  VrCalendar1.NextYear;
end;


procedure TForm1.Button3Click(Sender: TObject);
begin
  VrCalendar1.PrevMonth;
end;


procedure TForm1.Button4Click(Sender: TObject);
begin
  VrCalendar1.NextMonth;
end;


procedure TForm1.Button5Click(Sender: TObject);
var
  Y, M, D: Word;
begin
  DecodeDate(Now, Y, M, D);
  VrCalendar1.ChangeDate(Y, M, D);
end;

procedure TForm1.VrCalendar1Change(Sender: TObject);
begin
  Label3.Caption :=
    AnsiUpperCase(VrCalendar1.GetAsString(LongDateFormat));
  Label5.Caption :=
    IntToStr(VrCalendar1.WeekOfTheYear);
  Label7.Caption :=
    IntToStr(VrCalendar1.DayOfTheYear);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  if ColorDialog.Execute then
    VrCalendar1.Color := ColorDialog.Color;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  if ColorDialog.Execute then
    VrCalendar1.DaysColor := ColorDialog.Color;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  if ColorDialog.Execute then
    VrCalendar1.GridColor := ColorDialog.Color;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  if ColorDialog.Execute then
    VrCalendar1.FocusColor := ColorDialog.Color;
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  if ColorDialog.Execute then
    VrCalendar1.PassiveColor := ColorDialog.Color;
end;


procedure TForm1.Button11Click(Sender: TObject);
begin
  FontDialog.Font := VrCalendar1.Font;
  if FontDialog.Execute then
    VrCalendar1.Font := FontDialog.Font;
end;

procedure TForm1.Button12Click(Sender: TObject);
begin
  FontDialog.Font := VrCalendar1.DaysFont;
  if FontDialog.Execute then
    VrCalendar1.DaysFont := FontDialog.Font;
end;


procedure TForm1.Button13Click(Sender: TObject);
begin
  VrCalendar1.DaysVisible := not VrCalendar1.DaysVisible;
end;


procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Label8.Visible := not Label8.Visible;
end;

end.
